Name:           perl-DB_File
Version:        1.830
Release:        3%{?dist}
Summary:        Perl5 access to Berkeley DB version 1.x
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/DB_File/
Source0:        http://www.cpan.org/authors/id/P/PM/PMQS/DB_File-%{version}.tar.gz
BuildRequires:  libdb-devel
BuildRequires:  perl
BuildRequires:  perl(Config)
BuildRequires:  perl(ExtUtils::Constant)
BuildRequires:  perl(ExtUtils::MakeMaker) >= 5.16
# File::Copy not needed if ExtUtils::Constant is available
BuildRequires:  perl(strict)
# Run-time:
BuildRequires:  perl(Carp)
# DynaLoader not needed if XSLoader is available
BuildRequires:  perl(Exporter)
BuildRequires:  perl(Fcntl)
BuildRequires:  perl(File::Spec)
BuildRequires:  perl(Tie::Hash)
BuildRequires:  perl(warnings)
BuildRequires:  perl(XSLoader)
# Tests:
BuildRequires:  perl(Symbol)
%if !%{defined perl_bootstrap}
# Optional tests:
# Data::Dumper not useful
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Test::Pod) >= 1.00
%endif
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
Requires:       perl(Fcntl)
Requires:       perl(XSLoader)

%{?perl_default_filter}

%description
DB_File is a module which allows Perl programs to make use of the facilities
provided by Berkeley DB version 1.x (if you have a newer version of DB, you
will be limited to functionality provided by interface of version 1.x). The
interface defined here mirrors the Berkeley DB interface closely.

%prep
%setup -q -n DB_File-%{version}
find -type f -exec chmod -x {} +
%fix_shbang_line dbinfo

%build
perl Makefile.PL INSTALLDIRS=vendor OPTIMIZE="$RPM_OPT_FLAGS"
make %{?_smp_mflags}

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -type f -name '*.bs' -size 0 -exec rm -f {} \;
%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%doc Changes dbinfo README
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/DB_File*
%{_mandir}/man3/*

%changelog
* Fri Jan 24 2014 Daniel Mach <dmach@redhat.com> - 1.830-3
- Mass rebuild 2014-01-24

* Fri Dec 27 2013 Daniel Mach <dmach@redhat.com> - 1.830-2
- Mass rebuild 2013-12-27

* Mon Nov 04 2013 Petr Pisar <ppisar@redhat.com> - 1.830-1
- 1.830 bump (bug #1026266)

* Thu May 09 2013 Petr Pisar <ppisar@redhat.com> - 1.828-1
- 1.828 bump

* Thu Mar 21 2013 Petr Pisar <ppisar@redhat.com> 1.827-1
- Specfile autogenerated by cpanspec 1.78.
